POST Agents/Archive/GetArchiveListWithContext
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
POST /api/v1/Agents/Archive/GetArchiveListWithContext
Get a page of data for an archive, with context parameter.
The columns returned will be those set as chosen columns, using either the SetChosenColumns service or the corresponding SelectableMDOList.SetSelected. NsApiSlow threshold: 5000 ms. Archive Restriction Info objects represent search terms.
Column names and operator strings are defined elsewhere.
Values should be encoded using the CultureDataFormatter, so 10 is "[I:10]". Default string encodings should be handled ok, but beware of non-invariant cultures leading to incorrect date and float parsing.
var restriction1 = new ArchiveRestrictionInfo("category", "equals", "[I:10]");
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Archive/GetArchiveListWithContext?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
GuiName, ProviderName, SortOrder, Restriction, Entities, Page, PageSize, Context
| Property Name | Type | Description |
|---|---|---|
| GuiName | String | |
| ProviderName | String | |
| SortOrder | Array | |
| Restriction | Array | |
| Entities | Array | |
| Page | Integer | |
| PageSize | Integer | |
| Context | String |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| EntityName | string | The entity name of the ArchiveListItem. An ArchiveList may contain rows from different entities. |
| PrimaryKey | int32 | The primary key for the row |
| ColumnData | object | Dictionary of column name - column data items. Each column data item contains a display value, a tooltip hint, a link hint, and an orderby value. <para/>The display value is encoded by the CultureDataFormatter and can be decoded / localized by that class; all other values are optional. <para/>Tooltip hints can be passed to the TooltipProvider (Tooltip service) to be translated into an actual tootip. |
| LinkHint | string | Link hint for the row, indicating things like navigation links that can be presented as clickable hyperlinks |
| StyleHint | string | Style hint for the row, for instance 'retired' for associates or 'private' for appointments. Presentation layers can interpret the style hints as they see fit. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Archive/GetArchiveListWithContext
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"GuiName": "Gibson, Barton and Daniel",
"ProviderName": "Stanton Group",
"SortOrder": [
{
"Name": "Marks LLC",
"Direction": "ASC"
},
{
"Name": "Marks LLC",
"Direction": "ASC"
}
],
"Restriction": [
{
"Name": "Halvorson Inc and Sons",
"Operator": "beatae",
"Values": [
"nulla",
"est"
],
"DisplayValues": [
"cumque",
"et"
],
"ColumnInfo": null,
"IsActive": false,
"SubRestrictions": [
{},
{}
],
"InterParenthesis": 620,
"InterOperator": "And",
"UniqueHash": 902
}
],
"Entities": [
"eveniet",
"fuga"
],
"Page": 836,
"PageSize": 142,
"Context": "aut"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"EntityName": "appointment",
"PrimaryKey": 139,
"ColumnData": {
"text": {
"DisplayValue": "Customer Onboarding Meeting - TechVision",
"TooltipHint": "Initial kickoff for new customer implementation",
"LinkHint": "appointment.main?appointment_id=139"
}
},
"LinkHint": "view-appointment",
"StyleHint": "meeting",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 376
}
}
}
]